Subject: newspak-2.3 uploaded to sunsite
From: [email-masked] (Vince Skahan)
Date: Tue, 6 Sep 1994 17:58:29 GMT
Newsgroups: comp.os.linux.announce

I've uploaded newspak-2.3 to sunsite.unc.edu:/pub/Linux/Incoming.
Eventually it'll be moved to /pub/Linux/system/Mail/news.

Changes since v2.2
===================
	- trn updated from 3.4.1 to 3.5
	- current uucp/news/mail howtos included

So what's newspak ?
===================

Newspak is an accumulation of USENET news-related programs, all
ready to compile under linux.

Prerequisites:
==============

You'll need, at a minimum, a working UUCP set up in HoneyDanBer (HDB) mode.
Taylor UUCP v1.05 runs without edits under the current Linux and gcc.  If
you're lazy, just grab the uucp kit from your favorite Linux distribution.

If you're an Internet site (SLIP, PPP, Ethernet, etc.) you obviously do not
need UUCP, but you'll need the appropriate Ethernet hardware and TCP/IP
software.

Contents
========

Newspak contains the following:

        C-news 02/23/93 patchdate, which is the up-to-date official
                version.  This *is* the current Performance Release.

	INN 1.4 - which is the current InterNetNews, a combination
		nntp and non-nntp replacement for Cnews.  For serious
		INN users, grab Arjan de Vet's INN1.4 kit from the 
		usual Linux archive sites.  His is the definitive version
		for Linux.  The stuff here is my copy of his work, with
		some simple changes to make it integrate with NEWSPAK.

	uucp1.05 - Taylor uucp v1.05 configured in HoneyDanBer mode.
		This is so anonymous uucp in HDB mode will work
		(workaround for a Taylor UUCP bug in 1.05).  This is
		based on Ed Carp's upload of the sources to sunsite.unc.edu

        tin1.2p2 - a threaded newsreader generally intended to be easy
                to learn and use.

        trn3.5 - a threaded derivative of the 'rn v4.4' newsreader.

	mthreads3.1 - the thread database part of the trn package.

	nn6.4.18 - which is, in my opinion, both the most powerful
		and  simplest newsreader to use.  If you like 'Elm', you'll 
		love 'nn'.  If you're into beta software, the nn6.5b3 software
		will use these config files quite nicely.

        smail3.1.28  - a VERY smart mailer that is generally the 
		program of choice for uucp systems that can't run 
		the Internet semi-standard of sendmail+IDA.

	elm2.4.23 - which is my idea of a 'killer app' for *nix mail.
		Elm is rapidly becoming a de-facto standard non-X-related
		mail agent.

	sendmail5.67b+IDA1.5 - if you are tired of sweating over smail
		configuration files, try this instead.  You'll be glad
		you did.

	sendmail8.6.7 - not included here since you can 'make linux'
		but I thought I'd mention it works unedited :-).  
		Maybe I'll include it someday...but then again, maybe not.

	docs - all the related HOWTOs that are routinely posted to
		comp.os.linux.announce and other groups.

Installation tree(s):
=====================

In this release, I've taken the config files for each of the packages and
attempted to make them generic in such a way that the local admin can
implement his/her idea of "The One True Directory Structure".

Basically, all the config files have fake paths in them and you need to
preprocess things with sed.  There are a few sample configuration files in the
'defs' subdirectory and a simple script called make-configs that should take
care of things for you (once you edit defs/defs.site).  Be certain to read
'INSTALLATION' for details...

About patches to 'normal sources':
==================================

Linux is getting so good, there really aren't many anymore.  
I've noted the patches required in the various README.Linux files.

So where are the sources ?
==========================

Since stuff compiles so cleanly, I'm not going to provide them and waste
many MB of space on the ftp sites.  Instead, this tree contains the config
files you can use to make the binaries...assuming you got the sources from
'the usual places' (in many cases, ftp.uu.net:/news is a good place to start).

Can't figure out where stuff is ?  Learn about your future friend 'archie'.

Recommended environment
=======================

These will compile and run fine on a 'modern' Linux of anything above
about a 0.99-12 kernel, gcc2.3.3, and jump4.3 or so.

I currently run a slightly modified Slackware1.1.1 (1.1.49 kernel plus a
couple of odds-and-ends over gcc-2.4,5, jump4.4.1) and have no problems
getting anything here to compile or run.

About training:
==============

The intent of newspak is to accumulate ready-to-go USENET programs for
you to run.  In doing so, I'm assuming that you know either how to run
USENET software or who to ask for help.

I do not plan to include a unified 'how to be a USENET weenie' set of 
documents, since the subject is so well documented already. 

There are Linux 'HOWTO' manuals posted every couple of weeks to
news.answers, comp.answers, comp.os.linux.admin, and
comp.os.linux.announce.

There are other fine sources of information out there on USENET
and in the Linux DOC project.  Learn them.  Love them.  Live them.

Please read them a few times to make both our lives easier.

For what it's worth, I recommend that all USENET admins:

	1. read the news.admin hierarchy and news.answers.
	2. learn what's in the 'how to find sources' FAQ
	3. lean on your more experienced uucp neighbors to help
		you get experienced too
	4. participate in the news.* hierarchy and the comp.mail.*
		hierarchy on USENET.  Just reading them will eliminate
		most of the frequently-asked-questions you'll come up with.
	5. buy 'Zen and the Art of Internet' and/or the 'Whole Internet Guide'
		from a local technical bookstore so you learn what you're
		connecting to.
	6. buy 'Managing UUCP and USENET', which is, in my opinion, the
		best book out there for figuring out the programs and
		protocols involved in being a USENET site.
	7. learn how to use 'kill files' rather than flaming back.
	8. learn how to hit the 'delete' key when some joker flames you
		for asking something.
	9. realize that you'll be lost at the beginning and don't let it
		bother you.  

Standard disclaimer:
====================

I know of no bugs in any of the items herein that are different than
the bugs you see running these programs under other variants of Unix.
In other words, this should be bug-compatible with what you're
familiar with if you run these programs on other platforms and
operating systems. Any patches were done to simply get 'em to compile
under Linux.

However, I accept absolutely no responsibility for any potential effects or
costs associated with this software acting unexpectedly or adversely on
your system.  Use of the included programs or config files is entirely at
your own risk.

In case of problems:
====================

It's entirely possible that I forgot to mention something related to
which config file(s) a particular package is looking for (and where).
Feel free to drop me a line via e-mail and I'll get back to you as I
can find time.  Definitely let me know if you have significant
problems with these goodies or if you have constructive suggestions
and/or comments.

I will NOT (!) answer questions that indicate to me that you haven't
attempted to read the documentation and/or man pages.  If you get a
response that says 'read the stinking man page', that's exactly what I
mean.  If it's obvious that you tried to read it, but didn't understand
something, I'll try to reply eventually within the constraints of my
limited time, but please realize that I'm busy too.

Lastly, don't even bother trying to flame me for some perceived problems in
this or any other software...I don't need the blood pressure and any such
messages will be simply deleted immediately without any response.

Acknowledgements
================

Newspak is not 'my' work.  It's the accumulation of the work, and evidence
of the commitment and generosity, of many people who have made Linux what
it is (when people aren't arguing about everything in c.o.l.* :-)

Their work, and their help, is much appreciated !!!

					Vince Skahan
					[email-masked]

--
   ------------------- Vince Skahan ------ [email-masked] ----------------
   Try http://www.halcyon.com/vince/welcome.html for the latest versions of
   the Linux Electronic Mail, UUCP, and USENET News 'HOWTO' documentation...

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.